public static interface DdbStreamEndpointBuilderFactory.DdbStreamBuilders
| Modifier and Type | Method and Description |
|---|---|
default DdbStreamEndpointBuilderFactory.DdbStreamEndpointBuilder |
awsDdbstream(String path)
AWS DynamoDB Streams (camel-aws-ddb)
Receive messages from AWS DynamoDB Stream service.
|
default DdbStreamEndpointBuilderFactory.DdbStreamEndpointBuilder |
awsDdbstream(String componentName,
String path)
AWS DynamoDB Streams (camel-aws-ddb)
Receive messages from AWS DynamoDB Stream service.
|
default DdbStreamEndpointBuilderFactory.DdbStreamEndpointBuilder awsDdbstream(String path)
aws-ddbstream:tableName
Path parameter: tableName (required)
Name of the dynamodb tablepath - tableNamedefault DdbStreamEndpointBuilderFactory.DdbStreamEndpointBuilder awsDdbstream(String componentName, String path)
aws-ddbstream:tableName
Path parameter: tableName (required)
Name of the dynamodb tablecomponentName - to use a custom component name for the endpoint
instead of the default namepath - tableNameApache Camel